## org.flexdock.dockbar.event
Class DockbarTracker

    java.lang.Object
      org.flexdock.dockbar.event.DockbarTracker

All Implemented Interfaces:
  java.awt.event.AWTEventListener, java.beans.PropertyChangeListener, java.util.EventListener, DockingConstants

    public class DockbarTracker

extends java.lang.Object
implements DockingConstants, java.beans.PropertyChangeListener, java.awt.event.AWTEventListener

Author:
  Christopher Butler

Field Summary

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`DockbarTracker()`

Method Summary
`void` `eventDispatched(java.awt.AWTEvent event)`
`void` `propertyChange(java.beans.PropertyChangeEvent evt)`
`static void` `register()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockbarTracker

    public DockbarTracker()

Method Detail

### register

    public static void register()

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### eventDispatched

    public void eventDispatched(java.awt.AWTEvent event)

  Specified by:
    `eventDispatched` in interface `java.awt.event.AWTEventListener`